View Issue Details

IDProjectCategoryView StatusLast Update
0004171SymmetricDSBugpublic2020-06-24 16:39
ReportergwilmerAssigned Topmarzullo 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.10.4 
Target Version3.11.10Fixed in Version3.11.10 
Summary0004171: Upgrade from 3.9.18 to 3.11.0 -> Symmetric Services shows not installed even though it is
DescriptionUpgraded from SymmetricDS 3.9.18 to 3.11.0 on a linux server. Server shows not installed

[symmetric@ip-xxx-xx-xx-xxx engines]$ sym_service status
Installed: false
Running: false
Wrapper PID: 0
Wrapper Running: false
Server PID: 0
Server Running: false

Yet, the serivce can be started...

[symmetric@ip-xxx-xx-xx-xxx engines]$ sym_service start
Waiting for server to start
......
Started
Tagssym/sym_service

Activities

elong

2019-12-02 15:46

developer   ~0001660

My guess on how to reproduce:
1. Install version prior to 3.10.4
2. Install as service
3. Upgrade to version 3.10.4 or newer

Prior to 3.10.4, the service would install to /etc/init.d for any Unix system. Starting in 3.10.4, it detects if systemd is installed, and installs to /lib/systemd/system/SymmetricDS.service. So, the service installed to /etc/init.d would appear to be "not installed" if systemd is supported.

The workaround is to uninstall the service and install the service again.

(Running with "sym_service start" will always work, whether the service is installed or not.)

pmarzullo

2020-06-16 12:42

developer   ~0001725

Uninstall of service changed to remove both init.d and systemd all of the time.
Checking if service is installed checks for init.d and systemd files and returns true if either exists.
For starting, changed to check if systemd is running and the systemd script is in place. If so, use systemd. Otherwise, init.d method is used.
For stopping, changed to check if systemd is running and the systemd script is in place. If so, use systemd. Otherwise, init.d method is used.

Related Changesets

SymmetricDS: 3.11 b5578bde

2020-06-16 12:43:59

Philip Marzullo

Details Diff
0004171: Upgrade from 3.9.18 to 3.11.0 -> Symmetric Services shows not
installed even though it is

0004171
mod - symmetric-wrapper/src/main/java/org/jumpmind/symmetric/wrapper/UnixService.java Diff File

Issue History

Date Modified Username Field Change
2019-12-01 18:14 gwilmer New Issue
2019-12-02 15:40 elong Tag Attached: sym/sym_service
2019-12-02 15:46 elong Note Added: 0001660
2019-12-09 10:30 elong Project SymmetricDS Pro => SymmetricDS
2019-12-09 10:31 elong Status new => acknowledged
2019-12-09 10:31 elong Product Version => 3.10.4
2019-12-09 10:31 elong Target Version => 3.10.8
2020-01-02 09:40 admin Target Version 3.10.8 => 3.10.9
2020-01-22 14:03 elong Target Version 3.10.9 => 3.10.10
2020-02-14 08:46 elong Target Version 3.10.10 => 3.10.11
2020-03-16 16:14 admin Target Version 3.10.11 => 3.10.12
2020-05-26 08:28 elong Target Version 3.10.12 => 3.11.10
2020-06-16 12:42 pmarzullo Note Added: 0001725
2020-06-16 12:45 pmarzullo Description Updated View Revisions
2020-06-16 12:45 pmarzullo Assigned To => pmarzullo
2020-06-16 12:45 pmarzullo Status acknowledged => resolved
2020-06-16 12:45 pmarzullo Resolution open => fixed
2020-06-16 12:45 pmarzullo Fixed in Version => 3.11.10
2020-06-16 13:00 Changeset attached => SymmetricDS 3.11 b5578bde
2020-06-24 16:39 admin Status resolved => closed